Cloo 0.9.1

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties
Cloo.ComputeSampler Class Reference

Represents an OpenCL sampler. More...

Inheritance diagram for Cloo.ComputeSampler:

List of all members.

## Public Member Functions
| ComputeSampler (ComputeContext context, bool normalizedCoords, ComputeImageAddressing addressing, ComputeImageFiltering filtering)
| Creates a new ComputeSampler.
## Protected Member Functions
override void | Dispose (bool manual)
| Releases the associated OpenCL object.
## Properties
CLSamplerHandle | Handle`[get, set]`
| The handle of the ComputeSampler.
ComputeContext | Context`[get]`
| Gets the ComputeContext of the ComputeSampler.
ComputeImageAddressing | Addressing`[get]`
| Gets the ComputeImageAddressing mode of the ComputeSampler.
ComputeImageFiltering | Filtering`[get]`
| Gets the ComputeImageFiltering mode of the ComputeSampler.
bool | NormalizedCoords`[get]`
| Gets the state of usage of normalized x, y and z coordinates when accessing a ComputeImage in a ComputeKernel through the ComputeSampler.

## Detailed Description

Represents an OpenCL sampler.

An object that describes how to sample an image when the image is read in the kernel. The image read functions take a sampler as an argument. The sampler specifies the image addressing-mode i.e. how out-of-range image coordinates are handled, the filtering mode, and whether the input image coordinate is a normalized or unnormalized value.

See also:
  ComputeImage

## Constructor & Destructor Documentation

Cloo.ComputeSampler.ComputeSampler | ( | ComputeContext | context,
|  | bool | normalizedCoords,
|  | ComputeImageAddressing | addressing,
|  | ComputeImageFiltering | filtering
| ) |  |

Creates a new ComputeSampler.

Parameters:

  context | A ComputeContext.
  normalizedCoords | The usage state of normalized coordinates when accessing a ComputeImage in a ComputeKernel.
  addressing | The ComputeImageAddressing mode of the ComputeSampler. Specifies how out-of-range image coordinates are handled while reading.
  filtering | The ComputeImageFiltering mode of the ComputeSampler. Specifies the type of filter that must be applied when reading data from an image.

## Member Function Documentation

override void Cloo.ComputeSampler.Dispose | ( | bool | manual | ) | `[protected, virtual]`

Releases the associated OpenCL object.

Parameters:

  manual | Specifies the operation mode of this method.

manual must be `true` if this method is invoked directly by the application.

Implements Cloo.ComputeResource.

## Property Documentation

ComputeImageAddressing Cloo.ComputeSampler.Addressing`[get]`

Gets the ComputeImageAddressing mode of the ComputeSampler.

The ComputeImageAddressing mode of the ComputeSampler.

ComputeContext Cloo.ComputeSampler.Context`[get]`

Gets the ComputeContext of the ComputeSampler.

The ComputeContext of the ComputeSampler.

ComputeImageFiltering Cloo.ComputeSampler.Filtering`[get]`

Gets the ComputeImageFiltering mode of the ComputeSampler.

The ComputeImageFiltering mode of the ComputeSampler.

CLSamplerHandle Cloo.ComputeSampler.Handle`[get, set]`

The handle of the ComputeSampler.

bool Cloo.ComputeSampler.NormalizedCoords`[get]`

Gets the state of usage of normalized x, y and z coordinates when accessing a ComputeImage in a ComputeKernel through the ComputeSampler.

The state of usage of normalized x, y and z coordinates when accessing a ComputeImage in a ComputeKernel through the ComputeSampler.

The documentation for this class was generated from the following file:

- Cloo/Source/ComputeSampler.cs